# Type alias AlignmentTrajectoryParamsType

AlignmentTrajectoryParamsType: {
modelIndex?: number;
pdb?: {
entityId: string;
entryId: string;
} | {
entryId: string;
instanceId: string;
};
targetAlignment?: TargetAlignment;
transform?: RigidTransformType[];
}

#### Type declaration

- ##### `Optional` modelIndex?: number

- ##### `Optional` pdb?: {
  entityId: string;
  entryId: string;
  } | {
  entryId: string;
  instanceId: string;
  }

- ##### `Optional` targetAlignment?: TargetAlignment

- ##### `Optional` transform?: RigidTransformType[]

- Defined in src/RcsbFvStructure/StructureViewers/MolstarViewer/TrajectoryPresetProvider/AlignmentTrajectoryPresetProvider.ts:20

Generated using TypeDoc